Bug 188979 - Enable tag editing
Enable tag editing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Monty
:
Depends On:
Blocks: FC6Desktop
  Show dependency treegraph
 
Reported: 2006-04-14 02:51 EDT by Pavel Šefránek
Modified: 2013-10-20 18:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 13:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 335635 None None None Never

  None (edit)
Description Pavel Šefránek 2006-04-14 02:51:59 EDT
Description: please compile rhythmbox with tag editing support. This can be enabled by passing --enable-tag-writing to configure.
Comment 1 Bill Nottingham 2006-04-17 11:41:41 EDT
Assigning to package. package-review is not the appropriate place for this.
Comment 2 Alex Lancaster 2006-09-07 08:26:20 EDT
This could be done if gstreamer-plugins-good >= 0.10.4 was installed it has
support for ID3v2 tag editing.  

Tag editing/viewing of ID3v2 files works even if MP3 playback is not present, so
it can work without gstreamer-plugins-{ugly,bad} (which can't be shipped with
Fedora for patent reasons).  

OGG tag editing is enabled in rhythmbox but won't work until upstream gstreamer
enables it the gstreamer-plugins-base package, see http://bugs.gnome.org/335635.
 It certainly wouldn't harm anything to enable it.
Comment 3 Matthias Clasen 2006-09-07 21:40:17 EDT
John, can you look at this ?
Comment 4 Matthias Clasen 2006-09-11 13:17:55 EDT
Alex, what exactly should I expect to see ? I have built a rhythmbox with
--enable-tag-writing, but the entries in the Properties dialog for songs are
still not editable. I have tried it for both oggs and mp3s
Comment 5 Pavel Šefránek 2006-09-17 08:35:17 EDT
I tell you one thing: Ubuntu in base form is provided as is Fedora (no
patent-loaded packages by default). And if I install appropriate plugins
(gstreamer-plugins-{ugly,bad}, maybe gstreamer-ffmpeg) everything just works.
Tag editing, nautilus sound preview (Fedora only do this for ogg files, even if
gstreamer-plugins-{ugly,bad} is installed). So, why Fedora cannot handle these
things as smoothly as Ubuntu does? Don't forget these twos are patent-free
distros in the same way.
Comment 6 John (J5) Palmieri 2006-09-18 12:37:19 EDT
I don't unserstand your comment Pavel.  No one said we weren't working on
getting tag editing working.  I enabled tag editing in the latest rhythmbox
however I belive that ogg or flac tag editing is not currently in gstreamer
(http://www.mail-archive.com/rhythmbox-devel@gnome.org/msg02900.html) so that is
not going to work until it is.
Comment 7 Pavel Šefránek 2006-09-19 12:21:05 EDT
Please do not refer to my comment #5, I just misconceived the comment #2. I take
back my previous words.

So, when you enabled the tag editing in the recent rhythmbox builds, my comment
#5 losts its sense now. Forget it, please.

But my question #2 still stands: Why does not the Nautilus's sound preview for
MP3 files work? Notice: I've installed gstreamer-plugins-{ugly,bad}. Maybe
should I fill a new bug report?
Comment 8 Matthias Clasen 2006-09-19 12:59:05 EDT
Yes, please file separate bugs for separate issues. 
John, can we close this bug now ?

Note You need to log in before you can comment on or make changes to this bug.